/*
*********************************************************************************************************
*                                       IAR Development Kits
*                                              on the
*
*                                    M451
*
* Filename      : 485_sensor.h
* Version       : V1.00
* Programmer(s) : Qian Xianghong
*********************************************************************************************************
*/

#ifndef  USER_485_SENSOR_PRESENT
#define  USER_485_SENSOR_PRESENT

#include "type.h"

// 初始化引脚
void Sensor_Init();

// 打开设备和允许中断
void Sensor_Open(uint32_t baudrate);

// 读取真空计数据
void Sensor_ReadVacuum(uint8_t sensorIdx, data_sample_t *sample);
// 读取氧传感器数据
void Sensor_ReadLeakO2(data_sample_t *sample);
// 读取泄漏报警数据
void Sensor_ReadLeak(data_sample_t *sample);
// 读取流量计数据
void Sensor_ReadFlow(data_sample_t *sample);
// 读取差压/电容数据
void Sensor_ReadDPress(data_sample_t *sample);
// 读取压力数据
void Sensor_ReadPress(data_sample_t *sample);
	
// 读取超时计数
extern volatile uint32_t modbus_outTick;
	
#endif
